Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

PHP 5.3.2 compatibility #585

Closed
reneras opened this Issue Jul 18, 2012 · 3 comments

Comments

Projects
None yet
2 participants

reneras commented Jul 18, 2012

When cloning a fresh copy of lithium into framework and browsing to the webroot in a PHP 5.3.2 enviroment the following error occurs:

PHP Fatal error: Function name must be a string in /lithium/util/collection/Filters.php on line 183

Cloned version: 41ab56f

Owner

nateabele commented Jul 18, 2012

Do you have any proprietary extensions installed, such as eAccelerator?

reneras commented Jul 18, 2012

Yes. I ran into this issue using MAMP with PHP 5.3.2 and eAccelerator. ( No issues with Apc or Xcache )

Also no issues with eAccelerator if PHP 5.3.5 is used.

Owner

nateabele commented Jul 18, 2012

Yeah, this is a pretty well-documented issue. Generally I don't think there's any reason to use eAccelerator, when much better alternatives exist.

@nateabele nateabele closed this Jul 18, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment